Forum |  HardWare.fr | News | Articles | PC | S'identifier | S'inscrire | Shop Recherche
1617 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs
  Divers

  probleme drivers carte graphique sous linux

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

probleme drivers carte graphique sous linux

n°1111233
phil404
Posté le 08-02-2009 à 14:32:43  profilanswer
 

bonjour a tous ,
 
j'ai mandriva 2009 avec gnome et j'ai voulu installer le bureau en 3D,j'ai mis les effets 3D souhaités et lorsque le system m'a demandé de redemarer afin de prendre en compte les changements...j'ai mis quitter ou éteindre la session (c'est le choix qui est le plus a droite) et la lorsque je veux démarer ma session habituelle,j'ai un méssage qui m'explique que le session n'a pas durée 10 sec,et que ce probleme et du soit a un probleme d'installation ou a un manque d'espace disque.
 
en dessou j'ai marqué détail avec le message d'erreur.
 
alors je voudrais savoir si vous avez besoin de connaitre ce méssage,car il est un peu longt a copier...dans tout les cas faites le moi savoir.
 
ma question est donc,est ce que je peux régler ce probleme autrement que par la suprimer mandriva de la partoche pour le réinstaller ?


Message édité par phil404 le 08-02-2009 à 21:27:48
mood
Publicité
Posté le 08-02-2009 à 14:32:43  profilanswer
 

n°1111255
mikala
Souviens toi du 5 Novembre...
Posté le 08-02-2009 à 16:09:33  profilanswer
 

fait le choix de drak3d au niveau du gestionnaire de session et désactives les effets 3d.


---------------
Intermittent du GNU
n°1111257
phil404
Posté le 08-02-2009 à 16:28:03  profilanswer
 

j'ai réinstallé mandriva tout est par defaut donc ok
 
on ne peu pas avoir le bureau 3D sous gnome ?

Message cité 1 fois
Message édité par phil404 le 08-02-2009 à 16:36:42
n°1111264
guepe
J'ai du noir sur la truffe ?
Posté le 08-02-2009 à 17:02:38  profilanswer
 

phil404 a écrit :

j'ai réinstallé mandriva tout est par defaut donc ok
 
on ne peu pas avoir le bureau 3D sous gnome ?


Si : mais il faut que ta carte (enfin surtout ton driver) de carte graphique le supporte. Peut etre pourrais-tu detailler ta configuration, et ce que tu fait pour avoir les effets 3d ?


---------------
Un blog qu'il est bien
n°1111267
j_c_p
Linux user
Posté le 08-02-2009 à 17:08:23  profilanswer
 

probleme cession linux


 
Tu veux le céder à qui ton linux ?


Message édité par j_c_p le 08-02-2009 à 17:09:18
n°1111272
phil404
Posté le 08-02-2009 à 18:21:06  profilanswer
 

a personne ,j'ai fait une movaise manipulation...
je suis débutant sous mandriva (combien de temps vais je devoir la sortir cette phrase :D ) je voulais installer mon bureau 3d et je me suis planté...j'avais deja fait plusieurs tentatives en redémarent le system et cela ne donnait rien,j'ai éssayé quelque chose au hazard (surment en phase de désespoire...)c'est a ce moment que j'ai sélectionné éteindre la séssion je crois.
 
 
j'ais mis a jour a profil matériel.
 
je vais commencer par une vérification de drivers de carte graphique sans mandriva,pour cela,je me rend dans la config matériel ...
 
system/administration/configuration de votre ordi/matériel/explorer et configurer le materiel
voila ce que je peux voir :
 
identification:  
fabricant: ati technologies inc
description: R580 [radeon x1900]
classe materiel: VGA compatible controller
connexion: (j'ai zapé ces infos pci-e et compagnie)
divers: card: ati radeon X1300 and later
 
voila les drivers avec lesquels fonctionnent ma radeon x1950 (sous mandriva)
 
guepe,tu m'as demandé de détailler les étapes pour le bureau 3D;
 
systeme/administration/configurer votre ordi/materiel/configurer les effées bureau 3D
(validation d'installation du paquetage mesa-demos)
 
choix: compiz fusion
je dois chosir un server graphique  supportent lopenGL
-support natif
-Xgl
 
puis redémarage de céssion pour prendre en compte les modifications...
j'espere n'avoir rien oublié.


Message édité par phil404 le 08-02-2009 à 20:41:31
n°1111277
Modération
Posté le 08-02-2009 à 18:42:08  answer
 

phil404> Fais attention à ton orthographe, c'est une horreur (le "je suis nul en orthographe" ou le "on me comprend quand même" ne sont pas des excuses valables).

 

Merci.

 

>> session, Mauvaise, débutant, effet, et je ne suis pas exhaustif.


Message édité par o'gure le 08-02-2009 à 18:43:36
n°1111295
phil404
Posté le 08-02-2009 à 20:39:18  profilanswer
 

je ferais attention a l'avenir.
lorsque je tape vite il m'arrive de faire fautes de frappe et d'orthographe.
 
 
cela dis,je me perméttrais une réflexion concernent la modération puis ce que cette derniere représente bien le forum ...
 

Citation :

(le "je suis nul en orthographe" ou le "on me comprend quand même" ne sont pas des excuses valables).


 
il va falloire que tu me montres ou est ce que j'ai porté ces excuses,car j'en ai portés aucune [:airforceone]
plutot sévere la modération ,en tout les cas,elle sait faire preuve d'imagination.
 
 

Citation :

>> session, Mauvaise, débutant, effet, et je ne suis pas exhaustif.


 
qu'en serait il dans le cas contraire ?!  :ouch:  
 
 
je sais bien qu'il faut une modération sur un forum, comme toutes communautés a besoin de règles,c'est un fait,mais la souplesse,délicatesse...appelles ça comme tu veux,ça n'a jamais tué personne jusqu'a maintenent.
c'est la premiere fois que je me fait interpeller de cette maniere pas un modérateur,jusqu'ici je n'ai jamais eu de probleme.
 
relaches un peu la préssion,tu prends ton roles trop a coeur  :lol:  ;)

Message cité 1 fois
Message édité par phil404 le 08-02-2009 à 20:48:41
n°1111301
Klm60
Posté le 08-02-2009 à 21:06:42  profilanswer
 

Salut phil404 lorsque tu vas dans le terminal et que tu mets fglrxinfo tu as bien ton nom de carte qui est affiché ? Ensuite si tu fais cat /etc/X11/xorg.conf qu'as tu dedans ? Ou alors tu as résolu ton pb... Maintenant si tu veux profiter d'un bureau vraiment sympatique avec les effets passes par ubuntu 8.10 (intrepid) à ce moment la par gnome ce sera plus convivial...

n°1111302
guepe
J'ai du noir sur la truffe ?
Posté le 08-02-2009 à 21:09:10  profilanswer
 

Klm60 a écrit :

Salut phil404 lorsque tu vas dans le terminal et que tu mets fglrxinfo tu as bien ton nom de carte qui est affiché ? Ensuite si tu fais cat /etc/X11/xorg.conf qu'as tu dedans ? Ou alors tu as résolu ton pb... Maintenant si tu veux profiter d'un bureau vraiment sympatique avec les effets passes par ubuntu 8.10 (intrepid) à ce moment la par gnome ce sera plus convivial...


 :heink: sur quoi tu te bases ? Pour moi c'est n'importe quoi ca.
 
Par contre pour le reste, c'est ce genre d'infos dont nous avons besoin.


---------------
Un blog qu'il est bien
mood
Publicité
Posté le 08-02-2009 à 21:09:10  profilanswer
 

n°1111303
o'gure
Modérateur
Multi grognon de B_L
Posté le 08-02-2009 à 21:19:29  profilanswer
 

Klm60 a écrit :

Maintenant si tu veux profiter d'un bureau vraiment sympatique avec les effets passes par ubuntu 8.10 (intrepid) à ce moment la par gnome ce sera plus convivial...


Ou par n'importe quelle distribution intégrant correctement compiz, beril ou autre bureau 3d, que cela soit en gnome ou en kde.


---------------
Relax. Take a deep breath !
n°1111305
phil404
Posté le 08-02-2009 à 21:23:23  profilanswer
 

j'ai regardé si je trouvais quelque chose sur le site du constructeur ATI et parmis les systèmes d'exploitation proposés,il y a linux x86 et linux x86_64  
savez vous a quoi cela correspond ?
 
http://ati.amd.com/support/driver.HTML

Message cité 1 fois
Message édité par phil404 le 08-02-2009 à 21:24:55
n°1111306
Modération
Posté le 08-02-2009 à 21:27:52  answer
 

phil404 a écrit :

il va falloire que tu me montres ou est ce que j'ai porté ces excuses,car j'en ai portés aucune [:airforceone]
plutot sévere la modération ,en tout les cas,elle sait faire preuve d'imagination.


Ai-je mentionné que tu t'excusais ? non. Ces exemples sortent des réponses qu'on nous sort régulièrement après avoir relevé une orthographe/grammaire désastreuse, bref, c'était pour couper court... Mais l'effet est inverse...
Des erreurs, tout le monde en fait. De par le concept de forum, tu peux prendre ton temps et te relire lorsque tu postes un message. Cela  permet d'être précis, clair et de structuré. Ce n'est pas de la messagerie instantanée.
 
Au final, tes posts sont plus clairs, plus compréhensibles, plus "propres" et cela donne plus envie de répondre.

n°1111307
o'gure
Modérateur
Multi grognon de B_L
Posté le 08-02-2009 à 21:28:29  profilanswer
 

phil404 a écrit :

j'ai regardé si je trouvais quelque chose sur le site du constructeur ATI et parmis les systèmes d'exploitation proposés,il y a linux x86 et linux x86_64
savez vous a quoi cela correspond ?

 

http://ati.amd.com/support/driver.HTML


Cela correspond à ton système, s'il tourne sur 32 (x86) ou 64bits (x86_64).

Message cité 1 fois
Message édité par o'gure le 08-02-2009 à 21:30:09

---------------
Relax. Take a deep breath !
n°1111309
phil404
Posté le 08-02-2009 à 21:50:01  profilanswer
 

Modération a écrit :


Ai-je mentionné que tu t'excusais ? non. Ces exemples sortent des réponses qu'on nous sort régulièrement après avoir relevé une orthographe/grammaire désastreuse, bref, c'était pour couper court... Mais l'effet est inverse...


 
je dois dir que ce que tu me dis me surprend,toute fois ta "modération" est assez ambigu je dois dire .
alors pour quelqu'un qui voulait couper court... c'est pas gagné. soit plus explicite la prochaine fois. :)  
 
bref,tout ça pour te dir que si tu avais été un peu plus souple et plus explicite,j'aurais tenu compte de ta remarque sans meme relevé ton poste .


Message édité par phil404 le 08-02-2009 à 22:44:25
n°1111313
phil404
Posté le 08-02-2009 à 22:12:59  profilanswer
 

o'gure a écrit :


Cela correspond à ton système, s'il tourne sur 32 (x86) ou 64bits (x86_64).


 
ok, je me doutais d'un truc dans le genre... mais je voulais avoir confirmation :)  
je télécharge actuelement les drivers en question,et je voulais savoir comment je devais faire pour les installer  ... ?
 
il y a ces notes en dessou du driver :
 
The drivers below support English only.  
The display driver requires POSIX shared memory to be enabled on the system.  
Kernel Source package is no longer required if Kernel Header package is installed.  
32-Bit packages must be installed for 64-Bit Linux drivers to install or work.
 


Message édité par phil404 le 08-02-2009 à 22:20:11
n°1111625
o'gure
Modérateur
Multi grognon de B_L
Posté le 10-02-2009 à 09:06:34  profilanswer
 

Lorsque tu es sur la page de téléchargement tu as normalement au dessus du tableau un lien "Installer Instructions" qui te donne un fichier PDF expliquant comment l'installer.
https://a248.e.akamai.net/f/674/920 [...] 1-inst.pdf


---------------
Relax. Take a deep breath !
n°1114833
phil404
Posté le 19-02-2009 à 20:03:04  profilanswer
 

j'ai téléchargé la version 9.1 (pris chez ati en 32bits comme mon systeme)
 
j'ai trouvé ce tuto tres bien expliqué (je ne dis pas que tes explications sont movaises :non:  ;)  )
 
http://wiki.mandriva.com/fr/Cartes [...] A9cifiques
 
petite précision,j'ai placé mon driver ati dans Documents/drivers/atidrivers/  no coment  :D  
 
et voila ce que j'obtien :  
 


[root@localhost atidrivers]# ./ati-driver-installer-9-1-x86.x86_64.run --buildpkg Mandriva
Created directory fglrx-install.pJAcmj
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.573...........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
==================================================
 ATI Technologies Linux Driver Installer/Packager  
==================================================
Generating package: Mandriva/Mandriva
Error: Distro Version entered incorrectly or not supported, use --listpkg to identify valid distro versions
Error: Distro Version entered incorrectly or not supported, use --listpkg to identify valid distro versions
Removing temporary directory: fglrx-install.pJAcmj
[root@localhost atidrivers]#


 
 
j'ai pas trop compris pourquoi il fallait que je rajoute "--buildpkg Mandriva"   :??:


Message édité par phil404 le 19-02-2009 à 20:10:35
n°1114834
o'gure
Modérateur
Multi grognon de B_L
Posté le 19-02-2009 à 20:05:35  profilanswer
 

peux tu poster le résultat d'un

./ati-driver-installer-9-1-x86.x86_64.run  --listpkg


Message édité par o'gure le 19-02-2009 à 20:05:48

---------------
Relax. Take a deep breath !
n°1114836
phil404
Posté le 19-02-2009 à 20:09:53  profilanswer
 

[root@localhost atidrivers]# ./ati-driver-installer-9-1-x86.x86_64.run  --listpkg
Created directory fglrx-install.IjCseg
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.573...........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
==================================================
 ATI Technologies Linux Driver Installer/Packager  
==================================================
List of generatable packages:
 
Package Maintainer(s): Aric Cyr <aric.cyr@gmail.com>
                      Mario Limonciello <superm1@gmail.com>
Status: *UNVERIFIED*
Debian Packages:
 Debian/sid
 Debian/unstable
 Debian/etch
 Debian/stable
 Debian/lenny
 Debian/testing
 Debian/experimental
 
Package Maintainer(s): Niko Mirthes <nmirthes@gmail.com>
                      Michael Larabel <michael@phoronix.com>
Status: *UNVERIFIED*
Fedora Packages:
 Fedora/FC3
 Fedora/FC4
 Fedora/FC5
 Fedora/FC6
 Fedora/F7
 Fedora/F8
 Fedora/F9
 Fedora/RHEL3
 Fedora/RHEL4
 
Package Maintainer(s): Anssi Hannula <anssi@mandriva.org>
Status: *UNVERIFIED*
Mandriva Packages:
 Mandriva/2006.0
 Mandriva/2007.0
 Mandriva/2007.1
 Mandriva/2008.0
 Mandriva/2008.1
 Mandriva/2009.0
 Mandriva/2009.1
 
Package Maintainer(s): Bowen Zhu <bwzhu@redflag-linux.com>
Status: *UNVERIFIED*
RedFlag Packages:
 RedFlag/RF50
 RedFlag/RF60
 
Package Maintainer(s): ATI
Status: Verified
RedHat Packages:
 RedHat/RHEL4_64a
 RedHat/RHEL4
 RedHat/RHEL5_64a
 RedHat/RHEL5
 
Package Maintainer(s): Emanuele Tomasi <tomasi@cli.di.unipi.it>
                      Ezio Ghibaudo <ekxius@gmail.com>
                      Federico Rota <federico.rota01@gmail.com>
Status: *UNVERIFIED*
Slackware Packages:
 Slackware/All
 Slackware/Only_Module
 Slackware/Only_X
 
Package Maintainer(s): Stefan Dirsch <sndirsch@suse.de>
Status: *UNVERIFIED*
SuSE Packages:
 SuSE/SLED10-IA32
 SuSE/SLES10-IA32
 SuSE/SLED10-AMD64
 SuSE/SLES10-AMD64
 SuSE/SUSE102-IA32
 SuSE/SUSE103-IA32
 SuSE/SUSE110-IA32
 SuSE/SUSE102-AMD64
 SuSE/SUSE103-AMD64
 SuSE/SUSE110-AMD64
 SuSE/SUSE111-IA32
 SuSE/SUSE111-AMD64
 
Package Maintainer(s): Mario Limonciello <superm1@gmail.com>
                      Aric Cyr <aric.cyr@gmail.com>
Status: *UNVERIFIED*
Ubuntu Packages:
 Ubuntu/7.10
 Ubuntu/8.04
 Ubuntu/8.10
 Ubuntu/9.04
 Ubuntu/gutsy
 Ubuntu/hardy
 Ubuntu/intrepid
 Ubuntu/jaunty
 Ubuntu/source
 
For example, to build a Debian Etch package, run the following:
% ./ati-driver-installer-<version>-<architecture>.run --buildpkg Debian/etch
 
Removing temporary directory: fglrx-install.IjCseg
[root@localhost atidrivers]#  
 


 
listpkg ça correspond a "dir" ?


Message édité par phil404 le 19-02-2009 à 20:12:52
n°1114839
mikala
Souviens toi du 5 Novembre...
Posté le 19-02-2009 à 20:19:47  profilanswer
 

non.
cela donne la liste des rpms pouvant être crée par l'installateur d'ATI
dans ton cas un

Citation :

./ati-driver-installer-9-1-x86.x86_64.run --buildpkg Mandriva/2009.0


permettra de construire les rpms nécessaires sans la nécessité d'être en root. ( A noter que pour la création de ces paquets il te faudra installer le paquet rpm-build. (urpmi rpm-build)

 
Citation :

% ls *fglrx*
dkms-fglrx-8.573-1amd.mdv2009.0.x86_64.rpm            fglrx-debug-8.573-1amd.mdv2009.0.x86_64.rpm  x11-driver-video-fglrx-8.573-1amd.mdv2009.0.x86_64.rpm
fglrx-control-center-8.573-1amd.mdv2009.0.x86_64.rpm  fglrx-devel-8.573-1amd.mdv2009.0.x86_64.rpm


sur une 2009.0 en x64
il te faut ensuite installer les paquets évidemment en root. (il te faut avoir installer le -devel du kernel ( urpmi kernel-desktop-devel-latest)

Citation :


urpmi ./dkms* ./fglrx-control* ./x11-driver-video-fglrx*



Message édité par mikala le 19-02-2009 à 20:24:10

---------------
Intermittent du GNU
n°1114845
phil404
Posté le 19-02-2009 à 20:30:05  profilanswer
 

j'ai deja installé ces paquets.
 
il faut que je me renseigne sur rpms ,je ne sais asabsolument pas ce que c'est .
 
voila ce que j'obtiens :  
 

[root@localhost atidrivers]# ./ati-driver-installer-9-1-x86.x86_64.run --buildpkg Mandriva/2009.0
Created directory fglrx-install.BaDTiU
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.573...........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
==================================================
 ATI Technologies Linux Driver Installer/Packager  
==================================================
Generating package: Mandriva/2009.0
Package /home/sorcier/Documents/drivers/atidrivers/x11-driver-video-fglrx-8.573-1amd.mdv2009.0.i586.rpm has been successfully generated
Package /home/sorcier/Documents/drivers/atidrivers/fglrx-control-center-8.573-1amd.mdv2009.0.i586.rpm has been successfully generated
Package /home/sorcier/Documents/drivers/atidrivers/dkms-fglrx-8.573-1amd.mdv2009.0.i586.rpm has been successfully generated
Package /home/sorcier/Documents/drivers/atidrivers/fglrx-devel-8.573-1amd.mdv2009.0.i586.rpm has been successfully generated
Package /home/sorcier/Documents/drivers/atidrivers/fglrx-debug-8.573-1amd.mdv2009.0.i586.rpm has been successfully generated
Removing temporary directory: fglrx-install.BaDTiU
[root@localhost atidrivers]#  


 
 
apres ça,je peux continuer mon installation;
 
 
 

[root@ordi ~]# cp --force ./*.rpm /opt/rpm


 
    * Déclarer le dépôt personnel :  
 

[root@ordi ~]# urpmi.addmedia --probe-rpms --update --wait-lock "Mes RPM" /opt/rpm


 
puis continuer avec le gestionnaire de carte graphique...
 
merci de coup de main ,la route est encore longue ,mais toujours plus passionnante  :)


Message édité par phil404 le 19-02-2009 à 20:34:59
n°1114849
mikala
Souviens toi du 5 Novembre...
Posté le 19-02-2009 à 20:38:42  profilanswer
 

tu pouvais directement les installer avec urpmi hein ;)
pas la peine de te créer un dépot dédié :o


---------------
Intermittent du GNU
n°1114851
phil404
Posté le 19-02-2009 à 20:54:22  profilanswer
 

j'ai suivit a la lettre les indications sans trop savoir ce que je faisais.
je sais que je vais me planter certaines fois mais je n'ai pas d'autres moyens d'apprendre,car crois moi,je passe un temps considérable sur mandriva .
cela dit,je prend vos remarques en considération,votre expérience est bonne a prendre.  ;)  

n°1114864
phil404
Posté le 19-02-2009 à 22:35:39  profilanswer
 

c'est cette commande qui va me permettre de copier les paquetages ?
 

[root@ordi ~]# cp --force ./*.rpm /opt/rpm


 
apres on e dit de déclarer le depot personnel alors la,je sais pas trop ce que ça veut vouloir dire... est ce qu'il va falloir la faire reconaitre pour que ce que je pourait prendre (plustard) dans des dépots ... :??:


Message édité par phil404 le 19-02-2009 à 22:47:23
n°1118726
phil404
Posté le 04-03-2009 à 18:36:54  profilanswer
 

je reprend la ou j'en étais.
 
j'ai copier cette ligne de commande:
 
cp --force ./*.rpm /opt/rpm
 
et voila ce que j'obtiens :
 
cp: ne peut évaluer `./*.rpm': Aucun fichier ou dossier de ce type
[root@localhost sorcier]#  
 
ce qui m'inquiet ,c'est que j'ai pas bien compris tout ce que j'ai fait et il va falloir que je refasse cette manipulation souvent ,la prochaine sera pour installer flash player  :pt1cable:  
 
 
pourrais-je avoir votre aide svp ?

n°1124806
phil404
Posté le 27-03-2009 à 17:41:17  profilanswer
 

bonjour,
 
j'ai réinstallé mandriva ,et je suis arrivé au même stade ,je n'ai pas réussi a le dépasser ,je viens une nouvelle fois vous demande de l'aide .
 
 
merci d'avance.

mood
Publicité
Posté le   profilanswer
 


Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs
  Divers

  probleme drivers carte graphique sous linux

 

Sujets relatifs
Créer un serveur Linux pour sauvegardeCommande linux
Scripts basiques LinuxHP UX 11i V1: Problème tape device en NO HW
Distrib linux spéciale messagerieprobleme avec ldap et PhpLdapAdmin sur un autre serveur web
[APPROACH] probleme d'impression réseauserveur son linux pour autres machines locales
Probleme resynchronisation WiFiInstallation de Linux sur Dell Inspiron - Déjà 4 partitions primaires
Plus de sujets relatifs à : probleme drivers carte graphique sous linux


Copyright © 1997-2022 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR